the error is " 'qregularexpression.h' file not found' but I can find the file in /usr/local/Cellar/qt/5.8.0_2/lib/QtCore.framework/Versions/5/Headers/qregularexpression.h I have googled this question but can`t find any proper answer...This is for Mac OSX [closed]

asked 2017-08-02 06:59:52 -0600

sushil.sundaram gravatar image
    In file included from ros_pluginlib_plugin_provider_for_plugins.sip:9:
    In file included from /Users/sushilsundaram/ros_catkin_ws/src/qt_gui_core/qt_gui_cpp/src/qt_gui_cpp_sip/../../include/qt_gui_cpp/ros_pluginlib_plugin_provider_for_plugins.h:37:
    In file included from /Users/sushilsundaram/ros_catkin_ws/src/qt_gui_core/qt_gui_cpp/src/qt_gui_cpp_sip/../../include/qt_gui_cpp/ros_pluginlib_plugin_provider.h:45:
    In file included from /Users/sushilsundaram/ros_catkin_ws/install_isolated/include/pluginlib/class_loader.h:33:
    /Users/sushilsundaram/ros_catkin_ws/install_isolated/include/class_loader/multi_library_class_loader.h:106:7: warning: 'log_deprecated' is deprecated [-Wdeprecated-declarations]
          logDebug("class_loader::MultiLibraryClassLoader: Attempting to create instance of class type %s.", class_name.c_str());
          ^
    /usr/local/include/console_bridge/console.h:90:19: note: expanded from macro 'logDebug'
      console_bridge::log_deprecated(__FILE__, __LINE__, console_bridge::CONSOLE_BRIDGE_LOG_DEBUG, fmt, ##__VA_ARGS__)
                      ^
    /usr/local/include/console_bridge/console.h:193:54: note: 'log_deprecated' has been explicitly marked deprecated here
    CONSOLE_BRIDGE_DEPRECATED CONSOLE_BRIDGE_DLLAPI void log_deprecated(const char *file, int line, LogLevel level, const char* m, ...);
/usr/local/share/sip/PyQt5/QtCore/qregularexpression.sip:26:10: /usr/local/share/sip/PyQt5/QtCore/qregularexpression.sip:26fatal error:: 10: 'qregularexpression.h' fatal errorfile:  not 'qregularexpression.h'found file
 not found
#include <qregularexpression.h>
#include <qregularexpression.h>
12 warnings and 1 error generated.
12 warnings and 1 error generated.
make[3]: *** [siplibqt_gui_cpp_sipqt_gui_cppRosPluginlibPluginProvider_ForPlugins.o] Error 1
make[3]: *** [siplibqt_gui_cpp_sipqt_gui_cppRosPluginlibPluginProvider_ForPluginProviders.o] Error 1
make[2]: *** [/Users/sushilsundaram/ros_catkin_ws/devel_isolated/qt_gui_cpp/lib/python2.7/site-packages/qt_gui_cpp/libqt_gui_cpp_sip.dylib] Error 2
make[1]: *** [src/qt_gui_cpp_sip/CMakeFiles/libqt_gui_cpp_sip.dir/all] Error 2
make: *** [all] Error 2
edit retag flag offensive reopen merge delete

Closed for the following reason Question does not follow our guidelines for questions. Please see: http://wiki.ros.org/Support for more details. by tfoote
close date 2017-10-16 17:39:01.455357